Bug 21491 - When 'Default lost item fee refund on return policy' is unset it says no but acts as if 'yes'
Summary: When 'Default lost item fee refund on return policy' is unset it says no but ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-04 16:50 UTC by Nick Clemens
Modified: 2019-02-25 07:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set (2.66 KB, patch)
2018-11-21 13:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set (2.09 KB, patch)
2018-11-26 13:02 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set (2.16 KB, patch)
2018-12-21 11:17 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set (2.21 KB, patch)
2019-01-13 22:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-04 16:50:15 UTC
To recreate:
1 - delete from refund_lost_item_fee_rules;
2 - View the Standard circ rules - Default lost item fee refund shows as 'No'
3 - View circ rules for a single library, shows as 'Default (Yes)'
4 - Return a lost item, it actually does refund
Comment 1 Nick Clemens 2018-11-21 13:46:33 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2018-11-26 13:02:13 UTC
Created attachment 82639 [details] [review]
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set

To test:
1 - Delete all refund_lost_item_fee_rules form the db
    delete from refund_lost_item_fee_rules;
2 - View the Standard circ rules - Default lost item fee refund shows as
'No'
3 - View circ rules for a single library, shows as 'Default (Yes)'
4 - Return a lost item, it actually does refund (this is in the
        LostItemFeeRules code, default 1 if not set)
5 - Apply patch
6 - Rule shows as 'Yes'
7 - View a specifc rule, still says Default (Yes)
Comment 3 Martin Renvoize 2018-12-21 11:17:00 UTC
Created attachment 83443 [details] [review]
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set

To test:
1 - Delete all refund_lost_item_fee_rules form the db
    delete from refund_lost_item_fee_rules;
2 - View the Standard circ rules - Default lost item fee refund shows as
'No'
3 - View circ rules for a single library, shows as 'Default (Yes)'
4 - Return a lost item, it actually does refund (this is in the
        LostItemFeeRules code, default 1 if not set)
5 - Apply patch
6 - Rule shows as 'Yes'
7 - View a specifc rule, still says Default (Yes)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-12-21 11:17:47 UTC
SO hat on, works fine signing off..

QA hat on.. could we perhaps have a regression test for this?
Comment 5 Katrin Fischer 2019-01-13 22:32:32 UTC
Created attachment 83860 [details] [review]
Bug 21491: Display 'Yes' as selected if no refundlostitemfee rules are set

To test:
1 - Delete all refund_lost_item_fee_rules form the db
    delete from refund_lost_item_fee_rules;
2 - View the Standard circ rules - Default lost item fee refund shows as
'No'
3 - View circ rules for a single library, shows as 'Default (Yes)'
4 - Return a lost item, it actually does refund (this is in the
        LostItemFeeRules code, default 1 if not set)
5 - Apply patch
6 - Rule shows as 'Yes'
7 - View a specifc rule, still says Default (Yes)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-18 20:58:06 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-23 12:42:23 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Jesse Maseto 2019-01-23 19:27:16 UTC
Pushed to 18.05.x for 18.05.09
Comment 9 Fridolin SOMERS 2019-01-30 08:43:24 UTC
Pushed to 17.11.x for 17.11.15